package it.unibas.questionari2.test;

import junit.framework.*;

import it.unibas.questionari2.modello.Risposte;
import it.unibas.questionari2.persistenza.DAORisposte;

public class TestDAORisposte extends junit.framework.TestCase {

    private Risposte risposte1;
    private Risposte risposte2;
    private String nomeFileR11 = Utilita.nomeFileR11;
    private String nomeFileR21 = Utilita.nomeFileR21;
    
    protected void setUp() throws java.lang.Exception {
        risposte1 = Utilita.creaRisposte1();
        risposte2 = Utilita.creaRisposte2();
    }
    
    protected void tearDown() throws java.lang.Exception {
    }
    
    public void testSalvaRisposte1() {
        try {
            DAORisposte.salvaRisposte(risposte1, nomeFileR11);
        } catch (Exception e) {
            e.printStackTrace();
            fail();
        }
    }
    
    public void testSalvaRisposte2() {
        try {
            DAORisposte.salvaRisposte(risposte2, nomeFileR21);
        } catch (Exception e) {
            e.printStackTrace();
            fail();
        }
    }

    public void testSalvaRisposte3() {
        Risposte risposte3 = new Risposte();
        assertTrue("numero risposte", risposte3.getNumeroRisposte() == 0);
        try {
            DAORisposte.salvaRisposte(risposte3, nomeFileR21);
        } catch (Exception e) {
            fail();
        }
    }

    // NOTA: questi test sono incompleti; sarebbe necessario utilizzare l'operazione di
    // caricamento (se fosse stata implementata) per verificare il corretto salvataggio
}
