package it.unibas.questionari2.test;

import junit.framework.*;
import it.unibas.questionari2.persistenza.DAOUtilita;
        
public class TestDAOUtilita extends TestCase {
    
    public TestDAOUtilita(String testName) {
        super(testName);
    }

    protected void setUp() throws java.lang.Exception {
    }

    protected void tearDown() throws java.lang.Exception {
    }
    
    public void testCopiaDTD() {
        String percorso = Utilita.percorso2;
        try {
            java.io.File fileDTD = new java.io.File(percorso + "risposte.dtd");
            fileDTD.delete();
        } catch (Exception ioe) {
            System.err.println(ioe);  
        }
        try {
            DAOUtilita.copiaDTD(percorso);
        } catch (Exception e) {
            fail();
        }
        try {
            java.io.File fileDTD = new java.io.File(percorso + "risposte.dtd");
            Assert.assertTrue("file esiste" , fileDTD.canRead());
            fileDTD.delete();
        } catch (Exception ioe) {
            fail();
        }
    }
    
}
