package it.unibas.questionari2.test;

import junit.framework.TestCase;

import it.unibas.questionari2.modello.Risposte;

public class TestRisposte extends TestCase {
    
    private Risposte risposte1;
    private Risposte risposte2;
    
    protected void setUp() throws java.lang.Exception {
        risposte1 = Utilita.creaRisposte1();
        risposte2 = Utilita.creaRisposte2();
    }
    protected void tearDown() throws java.lang.Exception {
    }
    
    public void testRisposte1() {
        assertTrue("numero risposte", risposte1.getNumeroRisposte() == 5);
        assertTrue("risposta 0", risposte1.getRisposta(0).equals("a"));
        assertTrue("risposta 3", risposte1.getRisposta(3).equals(""));
        try {
            risposte1.getRisposta(5);
            fail();
        } catch (Exception e) {
            assertTrue("risposta 5", e != null);
        }
    }
    
    public void testRisposte2() {
        assertTrue("numero risposte", risposte2.getNumeroRisposte() == 1);
        assertTrue("risposta 0", risposte2.getRisposta(0).equals("d"));
        try {
            risposte2.getRisposta(1);
            fail();
        } catch (Exception e) {
            assertTrue("risposta 1", e != null);
        }
    }

}
