package it.unibas.questionari2.test;

import it.unibas.questionari2.modello.Questionario;
import it.unibas.questionari2.modello.Difficolta;
import it.unibas.questionari2.modello.Argomento;
import it.unibas.questionari2.modello.Quesito;
import it.unibas.questionari2.modello.Risposte;

public class Utilita {

    static String percorso = "e:\\codice\\lavoro\\java\\questionari2\\build\\test\\dati\\";
    static String percorso2 = "e:\\tmp\\";
    static String nomeFile1 = percorso + "Questionario-test-q1.xml";
    static String nomeFile2 = percorso + "Questionario-test-q4.xml";
    static String nomeFile3 = percorso + "Questionario-test-err.xml";
    static String nomeFile4 = percorso + "Questionario-test-q9.xml";
    static String nomeFileR1 = percorso + "risposte1.xml";
    static String nomeFileR2 = percorso + "risposte2.xml";
    static String nomeFileR11 = percorso + "risposte11.xml";
    static String nomeFileR21 = percorso + "risposte21.xml";

    public static Questionario creaQuestionario1() {
        Questionario questionario = new Questionario();
        questionario.setId("test");
        questionario.setDisciplina("test");
        Difficolta difficolta0 = new Difficolta();
        difficolta0.setId("d0");
        Difficolta difficolta1 = new Difficolta();
        difficolta1.setId("d1");
        Difficolta difficolta2 = new Difficolta();
        difficolta2.setId("d2");
        questionario.addDifficolta(difficolta0);
        questionario.addDifficolta(difficolta1);
        questionario.addDifficolta(difficolta2);
        Argomento argomentoCap = new Argomento();
        argomentoCap.setId("cap");
        Argomento argomentoNaz = new Argomento();
        argomentoNaz.setId("naz");
        questionario.addArgomento(argomentoCap);
        questionario.addArgomento(argomentoNaz);
        Quesito quesito;
        quesito = creaQuesito("cap01", "cap", "d0", "Domanda n. 1", "a");
        questionario.addQuesito(quesito);
        quesito = creaQuesito("cap02", "cap", "d1", "Domanda n. 2", "b");
        questionario.addQuesito(quesito);
        quesito = creaQuesito("cap03", "cap", "d2", "Domanda n. 3", "c");
        questionario.addQuesito(quesito);
        quesito = creaQuesito("naz01", "naz", "d1", "Domanda n. 4", "c");
        questionario.addQuesito(quesito);
        quesito = creaQuesito("naz02", "naz", "d0", "Domanda n. 5", "c");
        questionario.addQuesito(quesito);
        return questionario;
    }

    public static Questionario creaQuestionario2() {
        Questionario questionario = new Questionario();
        questionario.setId("test");
        questionario.setDisciplina("test");
        Difficolta difficolta0 = new Difficolta();
        difficolta0.setId("d0");
        Difficolta difficolta1 = new Difficolta();
        difficolta1.setId("d1");
        questionario.addDifficolta(difficolta0);
        questionario.addDifficolta(difficolta1);
        Argomento argomentoCap = new Argomento();
        argomentoCap.setId("cap");
        questionario.addArgomento(argomentoCap);
        Quesito quesito;
        quesito = creaQuesito("cap01", "cap", "d0", "Domanda n. 1", "a");
        questionario.addQuesito(quesito);
        return questionario;
    }

    public static Risposte creaRisposte1() {
        Questionario questionario1 = creaQuestionario1();
        Risposte risposte1 = new Risposte();
        risposte1.setIdQuestionario("test9");
        risposte1.addRisposta("a");
        risposte1.addRisposta("b");
        risposte1.addRisposta("c");
        risposte1.addRisposta(null);
        risposte1.addRisposta("e");
        return risposte1;
    }

    public static Risposte creaRisposte2() {
        Questionario questionario2 = creaQuestionario2();
        Risposte risposte2 = new Risposte();
        risposte2.setIdQuestionario("test1");
        risposte2.addRisposta("d");
        return risposte2;
    }

    private static Quesito creaQuesito(String codiceQuesito,
                            String codiceArgomento,
                            String codiceDifficolta,
                            String domanda,
                            String soluzione) {
        Quesito quesito = new Quesito();
        quesito.setId(codiceQuesito);
        quesito.setIdDifficolta(codiceDifficolta);
        quesito.setIdArgomento(codiceArgomento);
        quesito.setDomanda(domanda);
        quesito.setSoluzione(soluzione);
        quesito.addRisposta("risposta a");
        quesito.addRisposta("risposta b");
        quesito.addRisposta("risposta c");
        return quesito;
    }

}
